diff -ur wvdial-1.41/streams/wvlog.h wvdial-1.41+ave/streams/wvlog.h
--- wvdial-1.41/streams/wvlog.h	1999-03-23 22:41:37.000000000 -0500
+++ wvdial-1.41+ave/streams/wvlog.h	2007-06-05 10:32:23.000000000 -0400
@@ -25,7 +25,7 @@
 // or transmits log messages.
 class WvLogRcvBase
 {
-    friend WvLog;
+    friend class WvLog;
 protected:
     const char *appname(const WvLog *log) const;
     virtual void log(const WvLog *source, int loglevel,
@@ -43,7 +43,7 @@
 // to all registered WvLogRcv's.
 class WvLog : public WvStream
 {
-    friend WvLogRcvBase;
+    friend class WvLogRcvBase;
 public:
     enum LogLevel {
 	Critical = 0,
diff -ur wvdial-1.41/streams/wvstream.cc wvdial-1.41+ave/streams/wvstream.cc
--- wvdial-1.41/streams/wvstream.cc	1999-10-20 18:37:04.000000000 -0400
+++ wvdial-1.41+ave/streams/wvstream.cc	2007-06-05 10:32:39.000000000 -0400
@@ -9,6 +9,7 @@
  * for each stream.
  */
 #include "wvstream.h"
+#include <time.h>
 #include <sys/time.h>
 #include <sys/types.h>
 #include <errno.h>
diff -ur wvdial-1.41/utils/base64.h wvdial-1.41+ave/utils/base64.h
--- wvdial-1.41/utils/base64.h	1999-03-23 22:41:38.000000000 -0500
+++ wvdial-1.41+ave/utils/base64.h	2007-06-05 10:30:48.000000000 -0400
@@ -12,4 +12,4 @@
 extern char * base64_encode( char * str );
 extern char * base64_decode( char * str );
 
-#endif __BASE64_H
+#endif // __BASE64_H
diff -ur wvdial-1.41/utils/wvbuffer.h wvdial-1.41+ave/utils/wvbuffer.h
--- wvdial-1.41/utils/wvbuffer.h	1999-06-20 15:45:55.000000000 -0400
+++ wvdial-1.41+ave/utils/wvbuffer.h	2007-06-05 10:31:29.000000000 -0400
@@ -10,6 +10,7 @@
 #define __WVBUFFER_H
 
 #include "wvlinklist.h"
+#include <string.h>
 
 class WvMiniBuffer
 {
diff -ur wvdial-1.41/utils/wvhashtable.h wvdial-1.41+ave/utils/wvhashtable.h
--- wvdial-1.41/utils/wvhashtable.h	1999-10-14 17:33:38.000000000 -0400
+++ wvdial-1.41+ave/utils/wvhashtable.h	2007-06-05 10:32:01.000000000 -0400
@@ -139,7 +139,7 @@
     _type_##List *sl()							\
 	{ return (_type_##List *)slots; }				\
     									\
-    ~##_classname_()							\
+    ~_classname_()							\
         { shutdown(); delete[] sl(); }					\
     									\
     void add(_type_ *data, bool auto_free)				\
diff -ur wvdial-1.41/utils/wvlinklist.h wvdial-1.41+ave/utils/wvlinklist.h
--- wvdial-1.41/utils/wvlinklist.h	1999-10-14 17:33:38.000000000 -0400
+++ wvdial-1.41+ave/utils/wvlinklist.h	2007-06-05 10:31:43.000000000 -0400
@@ -126,7 +126,7 @@
     _newname_()						\
 	{ setup(); }					\
 							\
-    ~##_newname_() 					\
+    ~_newname_() 					\
 	{ shutdown(); _zap(); }				\
 							\
     void zap()						\
diff -ur wvdial-1.41/wvdial/wvdialer.cc wvdial-1.41+ave/wvdial/wvdialer.cc
--- wvdial-1.41/wvdial/wvdialer.cc	1999-11-19 00:14:46.000000000 -0500
+++ wvdial-1.41+ave/wvdial/wvdialer.cc	2007-06-05 10:57:01.000000000 -0400
@@ -51,7 +51,7 @@
 //       WvDialer Public Functions
 //**************************************************
 
-WvDialer::WvDialer( WvConf &_cfg, WvStringList *_sect_list, bool _chat_mode = false )
+WvDialer::WvDialer( WvConf &_cfg, WvStringList *_sect_list, bool _chat_mode )
 /********************************************************/
 : WvStreamClone( (WvStream **)&modem ),
     cfg(_cfg), log( "WvDial", WvLog::Debug ),
diff -ur wvdial-1.41/wvdial/wvpapchap.h wvdial-1.41+ave/wvdial/wvpapchap.h
--- wvdial-1.41/wvdial/wvpapchap.h	1999-03-23 22:41:42.000000000 -0500
+++ wvdial-1.41+ave/wvdial/wvpapchap.h	2007-06-05 10:32:59.000000000 -0400
@@ -43,4 +43,4 @@
 		    const char * remote );
 };
 
-#endif __WVPAPCHAP_H
+#endif // __WVPAPCHAP_H
diff -ur wvdial-1.41/wvver.h wvdial-1.41+ave/wvver.h
--- wvdial-1.41/wvver.h	2000-01-06 21:55:50.000000000 -0500
+++ wvdial-1.41+ave/wvver.h	2007-06-05 10:33:05.000000000 -0400
@@ -28,4 +28,4 @@
 #define TUNNELV_VER		0x00020000
 #define TUNNELV_VER_STRING	"2.00"
 
-#endif __WVDEFS_H
+#endif // __WVDEFS_H
